Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.tag.common.xml
Class TransformSupport

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.taglibs.standard.tag.common.xml.TransformSupport

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

Direct Known Subclasses:
  TransformTag, TransformTag

    public abstract class TransformSupport

extends BodyTagSupport

Support for tag handlers for <transform>, the XML transformation tag.

Author:
  Shawn Bayern
See Also:
  Serialized Form

Field Summary
`protected Result` | `result`
`protected Object` | `xml`
`protected String` | `xmlSystemId`
`protected Object` | `xslt`
`protected String` | `xsltSystemId`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`TransformSupport()`

Method Summary
`void` | `addParameter(String name, Object value)` Sets (adds) a transformation parameter on our transformer.
`int` | `doEndTag()` Default processing of the end tag returning EVAL_PAGE.
`int` | `doStartTag()` Default processing of the start tag returning EVAL_BODY_BUFFERED.
`void` | `release()` Release state.
`void` | `setScope(String scope)`
`void` | `setVar(String var)`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### xml

    protected Object xml

### xmlSystemId

    protected String xmlSystemId

### xslt

    protected Object xslt

### xsltSystemId

    protected String xsltSystemId

### result

    protected Result result

Constructor Detail

### TransformSupport

    public TransformSupport()

Method Detail

### doStartTag

    public int doStartTag()
                   throws JspException

  Description copied from class: `BodyTagSupport`
  Default processing of the start tag returning EVAL_BODY_BUFFERED.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `BodyTagSupport`
  Returns:
    EVAL_BODY_BUFFERED
  Throws:
    `JspException` - if an error occurred while processing this tag
  See Also:
    `Tag.doStartTag()`

### doEndTag

    public int doEndTag()
                 throws JspException

  Description copied from class: `BodyTagSupport`
  Default processing of the end tag returning EVAL_PAGE.

  Specified by:
    `doEndTag` in interface `Tag`
  Overrides:
    `doEndTag` in class `BodyTagSupport`
  Returns:
    EVAL_PAGE
  Throws:
    `JspException` - if an error occurred while processing this tag
  See Also:
    `Tag.doEndTag()`

### release

    public void release()

  Description copied from class: `BodyTagSupport`
  Release state.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `BodyTagSupport`
  See Also:
    `Tag.release()`

### addParameter

    public void addParameter(String name,
                             Object value)

  Sets (adds) a transformation parameter on our transformer.

### setVar

    public void setVar(String var)

### setScope

    public void setScope(String scope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.